]> gcc.gnu.org Git - gcc.git/blame - fastjar/Makefile.in
re PR c++/16277 (Wrong code with conditionals in initializers)
[gcc.git] / fastjar / Makefile.in
CommitLineData
608cb764 1# Makefile.in generated by automake 1.8.5 from Makefile.am.
53d60c04 2# @configure_input@
bd8757b3 3
608cb764
PB
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004 Free Software Foundation, Inc.
bd8757b3
APB
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
53d60c04 15@SET_MAKE@
bd8757b3 16
53d60c04 17# Process this with automake to create Makefile.in
bd8757b3 18
608cb764
PB
19SOURCES = $(grepjar_SOURCES) $(jar_SOURCES)
20
bd8757b3
APB
21srcdir = @srcdir@
22top_srcdir = @top_srcdir@
23VPATH = @srcdir@
bd8757b3
APB
24pkgdatadir = $(datadir)/@PACKAGE@
25pkglibdir = $(libdir)/@PACKAGE@
26pkgincludedir = $(includedir)/@PACKAGE@
bd8757b3 27top_builddir = .
53d60c04 28am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
bd8757b3 29INSTALL = @INSTALL@
53d60c04
KC
30install_sh_DATA = $(install_sh) -c -m 644
31install_sh_PROGRAM = $(install_sh) -c
32install_sh_SCRIPT = $(install_sh) -c
33INSTALL_HEADER = $(INSTALL_DATA)
34transform = $(program_transform_name)
bd8757b3
APB
35NORMAL_INSTALL = :
36PRE_INSTALL = :
37POST_INSTALL = :
38NORMAL_UNINSTALL = :
39PRE_UNINSTALL = :
40POST_UNINSTALL = :
608cb764
PB
41bin_PROGRAMS = jar$(EXEEXT) grepjar$(EXEEXT)
42subdir = .
43DIST_COMMON = README $(am__configure_deps) $(fastjar_TEXINFOS) \
97b62d47
MK
44 $(srcdir)/../compile $(srcdir)/../install-sh \
45 $(srcdir)/../missing $(srcdir)/../mkinstalldirs \
46 $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
47 $(srcdir)/config.h.in $(srcdir)/install-defs.sh.in \
48 $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS
608cb764
PB
49ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
50am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
51 $(top_srcdir)/../config/accross.m4 $(top_srcdir)/configure.ac
52am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
53 $(ACLOCAL_M4)
54am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
55 configure.lineno configure.status.lineno
56mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
57CONFIG_HEADER = config.h
58CONFIG_CLEAN_FILES = install-defs.sh
59am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(infodir)" "$(DESTDIR)$(man1dir)"
60binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
61PROGRAMS = $(bin_PROGRAMS)
62am_grepjar_OBJECTS = jargrep.$(OBJEXT) dostime.$(OBJEXT) \
63 compress.$(OBJEXT) pushback.$(OBJEXT)
64grepjar_OBJECTS = $(am_grepjar_OBJECTS)
65am__DEPENDENCIES_1 =
66am__DEPENDENCIES_2 = ../libiberty/libiberty.a
97b62d47
MK
67am_jar_OBJECTS = jar-jartool.$(OBJEXT) jar-dostime.$(OBJEXT) \
68 jar-compress.$(OBJEXT) jar-pushback.$(OBJEXT) \
69 jar-shift.$(OBJEXT)
608cb764
PB
70jar_OBJECTS = $(am_jar_OBJECTS)
71DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
72depcomp =
73am__depfiles_maybe =
74COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
75 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
76CCLD = $(CC)
77LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
78SOURCES = $(grepjar_SOURCES) $(jar_SOURCES)
79DIST_SOURCES = $(grepjar_SOURCES) $(jar_SOURCES)
80INFO_DEPS = $(srcdir)/fastjar.info
81am__TEXINFO_TEX_DIR = $(srcdir)/../gcc/doc/include
82DVIS = fastjar.dvi
83PDFS = fastjar.pdf
84PSS = fastjar.ps
85HTMLS = fastjar.html
86TEXINFOS = fastjar.texi
87TEXI2DVI = texi2dvi
88TEXI2PDF = $(TEXI2DVI) --pdf --batch
89MAKEINFOHTML = $(MAKEINFO) --html
90AM_MAKEINFOHTMLFLAGS = $(AM_MAKEINFOFLAGS)
91DVIPS = dvips
92man1dir = $(mandir)/man1
93NROFF = nroff
94MANS = $(man_MANS)
95ETAGS = etags
96CTAGS = ctags
97DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
98distdir = $(PACKAGE)-$(VERSION)
99top_distdir = $(distdir)
100am__remove_distdir = \
101 { test ! -d $(distdir) \
102 || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
103 && rm -fr $(distdir); }; }
104DIST_ARCHIVES = $(distdir).tar.gz
105GZIP_ENV = --best
106distuninstallcheck_listfiles = find . -type f -print
107distcleancheck_listfiles = find . -type f -print
53d60c04
KC
108ACLOCAL = @ACLOCAL@
109AMDEP_FALSE = @AMDEP_FALSE@
110AMDEP_TRUE = @AMDEP_TRUE@
111AMTAR = @AMTAR@
112AUTOCONF = @AUTOCONF@
113AUTOHEADER = @AUTOHEADER@
114AUTOMAKE = @AUTOMAKE@
115AWK = @AWK@
bd8757b3 116CC = @CC@
53d60c04
KC
117CCDEPMODE = @CCDEPMODE@
118CFLAGS = @CFLAGS@
bd8757b3
APB
119CHMOD = @CHMOD@
120CP = @CP@
53d60c04
KC
121CPP = @CPP@
122CPPFLAGS = @CPPFLAGS@
123CYGPATH_W = @CYGPATH_W@
124DEFS = @DEFS@
125DEPDIR = @DEPDIR@
126ECHO_C = @ECHO_C@
127ECHO_N = @ECHO_N@
128ECHO_T = @ECHO_T@
129EGREP = @EGREP@
645ca343 130EXEEXT = @EXEEXT@
040e098a
KC
131GENINSRC_FALSE = @GENINSRC_FALSE@
132GENINSRC_TRUE = @GENINSRC_TRUE@
53d60c04
KC
133INSTALL_DATA = @INSTALL_DATA@
134INSTALL_PROGRAM = @INSTALL_PROGRAM@
135INSTALL_SCRIPT = @INSTALL_SCRIPT@
136INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
137LDFLAGS = @LDFLAGS@
138LIBOBJS = @LIBOBJS@
139LIBS = @LIBS@
140LTLIBOBJS = @LTLIBOBJS@
7a93476d 141MAINT = @MAINT@
53d60c04
KC
142MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
143MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
0fc76fb5 144MAKEINFO = @MAKEINFO@
53d60c04 145OBJEXT = @OBJEXT@
bd8757b3 146PACKAGE = @PACKAGE@
53d60c04
KC
147PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
148PACKAGE_NAME = @PACKAGE_NAME@
149PACKAGE_STRING = @PACKAGE_STRING@
150PACKAGE_TARNAME = @PACKAGE_TARNAME@
151PACKAGE_VERSION = @PACKAGE_VERSION@
152PATH_SEPARATOR = @PATH_SEPARATOR@
bd8757b3 153RM = @RM@
53d60c04
KC
154SET_MAKE = @SET_MAKE@
155SHELL = @SHELL@
bd8757b3
APB
156STRIP = @STRIP@
157VERSION = @VERSION@
158ZDEPS = @ZDEPS@
159ZINCS = @ZINCS@
160ZLIBS = @ZLIBS@
53d60c04
KC
161ac_ct_CC = @ac_ct_CC@
162ac_ct_STRIP = @ac_ct_STRIP@
163am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
164am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
165am__include = @am__include@
166am__leading_dot = @am__leading_dot@
167am__quote = @am__quote@
168bindir = @bindir@
169build_alias = @build_alias@
170datadir = @datadir@
171exec_prefix = @exec_prefix@
37729557 172fastjar_warn_cflags = @fastjar_warn_cflags@
42ac7b6d 173gcc_version = @gcc_version@
53d60c04
KC
174host_alias = @host_alias@
175includedir = @includedir@
176infodir = @infodir@
177install_sh = @install_sh@
178libdir = @libdir@
179libexecdir = @libexecdir@
180localstatedir = @localstatedir@
181mandir = @mandir@
608cb764 182mkdir_p = @mkdir_p@
53d60c04
KC
183oldincludedir = @oldincludedir@
184prefix = @prefix@
185program_transform_name = @program_transform_name@
186sbindir = @sbindir@
187sharedstatedir = @sharedstatedir@
188sysconfdir = @sysconfdir@
189target_alias = @target_alias@
4abedabd
TT
190AUTOMAKE_OPTIONS = no-dependencies
191
192# Work around what appears to be a GNU make bug handling MAKEFLAGS
193# values defined in terms of make variables, as is the case for CC and
194# friends when we are called from the top level Makefile.
53d60c04
KC
195AM_MAKEFLAGS = \
196 "AR_FLAGS=$(AR_FLAGS)" \
197 "CC_FOR_BUILD=$(CC_FOR_BUILD)" \
198 "CFLAGS=$(CFLAGS)" \
199 "CXXFLAGS=$(CXXFLAGS)" \
200 "CFLAGS_FOR_BUILD=$(CFLAGS_FOR_BUILD)" \
201 "CFLAGS_FOR_TARGET=$(CFLAGS_FOR_TARGET)" \
202 "INSTALL=$(INSTALL)" \
203 "INSTALL_DATA=$(INSTALL_DATA)" \
204 "INSTALL_PROGRAM=$(INSTALL_PROGRAM)" \
205 "INSTALL_SCRIPT=$(INSTALL_SCRIPT)" \
206 "JC1FLAGS=$(JC1FLAGS)" \
207 "LDFLAGS=$(LDFLAGS)" \
208 "LIBCFLAGS=$(LIBCFLAGS)" \
209 "LIBCFLAGS_FOR_TARGET=$(LIBCFLAGS_FOR_TARGET)" \
210 "MAKE=$(MAKE)" \
211 "MAKEINFO=$(MAKEINFO) $(MAKEINFOFLAGS)" \
212 "PICFLAG=$(PICFLAG)" \
213 "PICFLAG_FOR_TARGET=$(PICFLAG_FOR_TARGET)" \
214 "SHELL=$(SHELL)" \
215 "exec_prefix=$(exec_prefix)" \
216 "infodir=$(infodir)" \
217 "libdir=$(libdir)" \
218 "prefix=$(prefix)" \
219 "AR=$(AR)" \
220 "AS=$(AS)" \
221 "CC=$(CC)" \
222 "CXX=$(CXX)" \
223 "LD=$(LD)" \
224 "LIBCFLAGS=$(LIBCFLAGS)" \
225 "NM=$(NM)" \
226 "PICFLAG=$(PICFLAG)" \
227 "RANLIB=$(RANLIB)" \
228 "DESTDIR=$(DESTDIR)"
7a93476d 229
bd4e9266 230AM_CPPFLAGS = -I. -I$(top_srcdir) $(ZINCS) -I$(top_srcdir)/../include
7a93476d 231LIBIBERTY = ../libiberty/libiberty.a
97b62d47
MK
232jar_SOURCES = jartool.c dostime.c compress.c pushback.c shift.c jartool.h \
233zipfile.h dostime.h compress.h pushback.h shift.h
bd8757b3 234
7a93476d
TT
235jar_LDADD = $(ZLIBS) $(LIBIBERTY)
236jar_DEPENDENCIES = $(ZDEPS) $(LIBIBERTY)
874a4e75 237jar_CPPFLAGS = $(AM_CPPFLAGS) -DWITH_SHIFT_DOWN
53d60c04
KC
238grepjar_SOURCES = jargrep.c dostime.c compress.c pushback.c jartool.h \
239zipfile.h dostime.h compress.h pushback.h
7a93476d
TT
240
241grepjar_LDADD = $(ZLIBS) $(LIBIBERTY)
242grepjar_DEPENDENCIES = $(ZDEPS) $(LIBIBERTY)
37729557 243AM_CFLAGS = @fastjar_warn_cflags@
53d60c04 244AM_MAKEINFOFLAGS = -I $(srcdir)/../gcc/doc/include
09bfbc1c
TT
245TEXINFO_TEX = ../gcc/doc/include/texinfo.tex
246info_TEXINFOS = fastjar.texi
53d60c04
KC
247fastjar_TEXINFOS = \
248 ../gcc/doc/include/gcc-common.texi \
249 ../gcc/doc/include/gpl.texi
09bfbc1c
TT
250
251man_MANS = jar.1 grepjar.1
252EXTRA_DIST = $(man_MANS)
42ac7b6d
MK
253TEXI2POD = perl $(srcdir)/../contrib/texi2pod.pl
254POD2MAN = pod2man --center="GNU" --release="gcc-@gcc_version@"
040e098a
KC
255@GENINSRC_FALSE@STAMP_GENINSRC =
256
040e098a
KC
257# GCC LOCAL CHANGE
258# The following commands allow us to release tarballs with the man pages
259# and info documentation prebuilt. This feature is enabled via
260# --enable-generated-files-in-srcdir in the configure script.
261@GENINSRC_TRUE@STAMP_GENINSRC = stamp-geninsrc
040e098a
KC
262CLEANFILES = stamp-geninsrc
263MAINTAINERCLEANFILES = $(srcdir)/jar.1 \
264 $(srcdir)/grepjar.1 \
265 $(srcdir)/fastjar.info
266
53d60c04
KC
267all: config.h
268 $(MAKE) $(AM_MAKEFLAGS) all-am
bd8757b3 269
bd8757b3 270.SUFFIXES:
bd4e9266 271.SUFFIXES: .1 .c .dvi .html .info .o .obj .pdf .pod .ps .texi
608cb764
PB
272am--refresh:
273 @:
274$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
275 @for dep in $?; do \
276 case '$(am__configure_deps)' in \
277 *$$dep*) \
278 echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
279 cd $(srcdir) && $(AUTOMAKE) --gnu \
280 && exit 0; \
281 exit 1;; \
282 esac; \
283 done; \
284 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
53d60c04
KC
285 cd $(top_srcdir) && \
286 $(AUTOMAKE) --gnu Makefile
608cb764
PB
287.PRECIOUS: Makefile
288Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
289 @case '$?' in \
290 *config.status*) \
291 echo ' $(SHELL) ./config.status'; \
292 $(SHELL) ./config.status;; \
293 *) \
294 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
295 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
296 esac;
297
298$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
bd8757b3 299 $(SHELL) ./config.status --recheck
bd8757b3 300
608cb764
PB
301$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
302 cd $(srcdir) && $(AUTOCONF)
303$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
53d60c04
KC
304 cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
305
306config.h: stamp-h1
bd8757b3 307 @if test ! -f $@; then \
53d60c04
KC
308 rm -f stamp-h1; \
309 $(MAKE) stamp-h1; \
bd8757b3 310 else :; fi
bd8757b3 311
53d60c04
KC
312stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
313 @rm -f stamp-h1
314 cd $(top_builddir) && $(SHELL) ./config.status config.h
608cb764 315$(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
53d60c04 316 cd $(top_srcdir) && $(AUTOHEADER)
608cb764
PB
317 rm -f stamp-h1
318 touch $@
bd8757b3
APB
319
320distclean-hdr:
53d60c04 321 -rm -f config.h stamp-h1
608cb764 322install-defs.sh: $(top_builddir)/config.status $(srcdir)/install-defs.sh.in
53d60c04 323 cd $(top_builddir) && $(SHELL) ./config.status $@
bd8757b3
APB
324install-binPROGRAMS: $(bin_PROGRAMS)
325 @$(NORMAL_INSTALL)
608cb764 326 test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
bd8757b3 327 @list='$(bin_PROGRAMS)'; for p in $$list; do \
53d60c04
KC
328 p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
329 if test -f $$p \
330 ; then \
331 f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
608cb764
PB
332 echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
333 $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
bd8757b3
APB
334 else :; fi; \
335 done
336
337uninstall-binPROGRAMS:
338 @$(NORMAL_UNINSTALL)
53d60c04
KC
339 @list='$(bin_PROGRAMS)'; for p in $$list; do \
340 f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
608cb764
PB
341 echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
342 rm -f "$(DESTDIR)$(bindir)/$$f"; \
bd8757b3
APB
343 done
344
53d60c04
KC
345clean-binPROGRAMS:
346 -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
347grepjar$(EXEEXT): $(grepjar_OBJECTS) $(grepjar_DEPENDENCIES)
348 @rm -f grepjar$(EXEEXT)
349 $(LINK) $(grepjar_LDFLAGS) $(grepjar_OBJECTS) $(grepjar_LDADD) $(LIBS)
350jar$(EXEEXT): $(jar_OBJECTS) $(jar_DEPENDENCIES)
351 @rm -f jar$(EXEEXT)
352 $(LINK) $(jar_LDFLAGS) $(jar_OBJECTS) $(jar_LDADD) $(LIBS)
bd8757b3
APB
353
354mostlyclean-compile:
608cb764 355 -rm -f *.$(OBJEXT)
bd8757b3
APB
356
357distclean-compile:
358 -rm -f *.tab.c
359
53d60c04 360.c.o:
608cb764 361 $(COMPILE) -c $<
bd8757b3 362
53d60c04 363.c.obj:
608cb764 364 $(COMPILE) -c `$(CYGPATH_W) '$<'`
a09b9232 365
97b62d47
MK
366jar-jartool.o: jartool.c
367 $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(jar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o jar-jartool.o `test -f 'jartool.c' || echo '$(srcdir)/'`jartool.c
368
369jar-jartool.obj: jartool.c
370 $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(jar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o jar-jartool.obj `if test -f 'jartool.c'; then $(CYGPATH_W) 'jartool.c'; else $(CYGPATH_W) '$(srcdir)/jartool.c'; fi`
371
372jar-dostime.o: dostime.c
373 $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(jar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o jar-dostime.o `test -f 'dostime.c' || echo '$(srcdir)/'`dostime.c
374
375jar-dostime.obj: dostime.c
376 $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(jar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o jar-dostime.obj `if test -f 'dostime.c'; then $(CYGPATH_W) 'dostime.c'; else $(CYGPATH_W) '$(srcdir)/dostime.c'; fi`
377
378jar-compress.o: compress.c
379 $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(jar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o jar-compress.o `test -f 'compress.c' || echo '$(srcdir)/'`compress.c
380
381jar-compress.obj: compress.c
382 $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(jar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o jar-compress.obj `if test -f 'compress.c'; then $(CYGPATH_W) 'compress.c'; else $(CYGPATH_W) '$(srcdir)/compress.c'; fi`
383
384jar-pushback.o: pushback.c
385 $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(jar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o jar-pushback.o `test -f 'pushback.c' || echo '$(srcdir)/'`pushback.c
386
387jar-pushback.obj: pushback.c
388 $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(jar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o jar-pushback.obj `if test -f 'pushback.c'; then $(CYGPATH_W) 'pushback.c'; else $(CYGPATH_W) '$(srcdir)/pushback.c'; fi`
389
390jar-shift.o: shift.c
391 $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(jar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o jar-shift.o `test -f 'shift.c' || echo '$(srcdir)/'`shift.c
392
393jar-shift.obj: shift.c
394 $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(jar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o jar-shift.obj `if test -f 'shift.c'; then $(CYGPATH_W) 'shift.c'; else $(CYGPATH_W) '$(srcdir)/shift.c'; fi`
395
53d60c04 396.texi.info:
608cb764
PB
397 restore=: && \
398 backupdir="$(am__leading_dot)am$$$$" && \
399 am__cwd=`pwd` && cd $(srcdir) && \
400 rm -rf $$backupdir && mkdir $$backupdir && \
401 for f in $@ $@-[0-9] $@-[0-9][0-9] $(@:.info=).i[0-9] $(@:.info=).i[0-9][0-9]; do \
402 if test -f $$f; then \
403 mv $$f $$backupdir; \
404 restore=mv; \
405 fi; \
406 done; \
407 cd "$$am__cwd"; \
408 if $(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir) \
409 -o $@ $<; \
410 then \
411 rc=0; \
412 cd $(srcdir); \
413 else \
414 rc=$$?; \
415 cd $(srcdir) && \
416 $$restore $$backupdir/* `echo "./$@" | sed 's|[^/]*$$||'`; \
417 fi; \
418 rm -rf $$backupdir; \
419 exit $$rc
79801091 420
53d60c04
KC
421.texi.dvi:
422 TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
423 MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
608cb764 424 $(TEXI2DVI) $<
53d60c04
KC
425
426.texi.pdf:
427 TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
428 MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
608cb764
PB
429 $(TEXI2PDF) $<
430
431.texi.html:
432 $(MAKEINFOHTML) $(AM_MAKEINFOHTMLFLAGS) $(MAKEINFOFLAGS) -I $(srcdir) \
433 -o $@ $<
434 if test ! -d $@ && test -d $(@:.html=); then \
435 mv $(@:.html=) $@; else :; fi
436$(srcdir)/fastjar.info: fastjar.texi $(fastjar_TEXINFOS)
09bfbc1c 437fastjar.dvi: fastjar.texi $(fastjar_TEXINFOS)
53d60c04 438fastjar.pdf: fastjar.texi $(fastjar_TEXINFOS)
608cb764 439fastjar.html: fastjar.texi $(fastjar_TEXINFOS)
09bfbc1c 440.dvi.ps:
53d60c04 441 $(DVIPS) -o $@ $<
09bfbc1c 442
53d60c04
KC
443uninstall-info-am:
444 $(PRE_UNINSTALL)
445 @if (install-info --version && \
ce7dcf78 446 install-info --version 2>&1 | sed 1q | grep -i -v debian) >/dev/null 2>&1; then \
09bfbc1c
TT
447 list='$(INFO_DEPS)'; \
448 for file in $$list; do \
53d60c04 449 relfile=`echo "$$file" | sed 's|^.*/||'`; \
608cb764
PB
450 echo " install-info --info-dir='$(DESTDIR)$(infodir)' --remove '$(DESTDIR)$(infodir)/$$relfile'"; \
451 install-info --info-dir="$(DESTDIR)$(infodir)" --remove "$(DESTDIR)$(infodir)/$$relfile"; \
09bfbc1c 452 done; \
53d60c04 453 else :; fi
09bfbc1c 454 @$(NORMAL_UNINSTALL)
53d60c04 455 @list='$(INFO_DEPS)'; \
09bfbc1c 456 for file in $$list; do \
53d60c04
KC
457 relfile=`echo "$$file" | sed 's|^.*/||'`; \
458 relfile_i=`echo "$$relfile" | sed 's|\.info$$||;s|$$|.i|'`; \
608cb764 459 (if cd "$(DESTDIR)$(infodir)"; then \
53d60c04
KC
460 echo " rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9])"; \
461 rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9]; \
462 else :; fi); \
09bfbc1c
TT
463 done
464
465dist-info: $(INFO_DEPS)
608cb764 466 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
09bfbc1c
TT
467 list='$(INFO_DEPS)'; \
468 for base in $$list; do \
608cb764
PB
469 case $$base in \
470 $(srcdir)/*) base=`echo "$$base" | sed "s|^$$srcdirstrip/||"`;; \
471 esac; \
53d60c04
KC
472 if test -f $$base; then d=.; else d=$(srcdir); fi; \
473 for file in $$d/$$base*; do \
474 relfile=`expr "$$file" : "$$d/\(.*\)"`; \
475 test -f $(distdir)/$$relfile || \
476 cp -p $$file $(distdir)/$$relfile; \
09bfbc1c
TT
477 done; \
478 done
479
480mostlyclean-aminfo:
608cb764 481 -rm -rf fastjar.aux fastjar.cp fastjar.cps fastjar.fn fastjar.fns fastjar.ky \
53d60c04
KC
482 fastjar.kys fastjar.log fastjar.pg fastjar.pgs fastjar.tmp \
483 fastjar.toc fastjar.tp fastjar.tps fastjar.vr fastjar.vrs \
608cb764 484 fastjar.dvi fastjar.pdf fastjar.ps fastjar.html
09bfbc1c
TT
485
486maintainer-clean-aminfo:
53d60c04
KC
487 @list='$(INFO_DEPS)'; for i in $$list; do \
488 i_i=`echo "$$i" | sed 's|\.info$$||;s|$$|.i|'`; \
489 echo " rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]"; \
490 rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]; \
09bfbc1c 491 done
53d60c04
KC
492install-man1: $(man1_MANS) $(man_MANS)
493 @$(NORMAL_INSTALL)
608cb764 494 test -z "$(man1dir)" || $(mkdir_p) "$(DESTDIR)$(man1dir)"
53d60c04
KC
495 @list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
496 l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
497 for i in $$l2; do \
09bfbc1c
TT
498 case "$$i" in \
499 *.1*) list="$$list $$i" ;; \
500 esac; \
501 done; \
502 for i in $$list; do \
503 if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
504 else file=$$i; fi; \
505 ext=`echo $$i | sed -e 's/^.*\\.//'`; \
53d60c04
KC
506 case "$$ext" in \
507 1*) ;; \
508 *) ext='1' ;; \
509 esac; \
09bfbc1c 510 inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
53d60c04 511 inst=`echo $$inst | sed -e 's/^.*\///'`; \
09bfbc1c 512 inst=`echo $$inst | sed '$(transform)'`.$$ext; \
608cb764
PB
513 echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
514 $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst"; \
09bfbc1c 515 done
09bfbc1c 516uninstall-man1:
53d60c04
KC
517 @$(NORMAL_UNINSTALL)
518 @list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
519 l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
520 for i in $$l2; do \
09bfbc1c
TT
521 case "$$i" in \
522 *.1*) list="$$list $$i" ;; \
523 esac; \
524 done; \
525 for i in $$list; do \
526 ext=`echo $$i | sed -e 's/^.*\\.//'`; \
53d60c04
KC
527 case "$$ext" in \
528 1*) ;; \
529 *) ext='1' ;; \
530 esac; \
09bfbc1c 531 inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
53d60c04 532 inst=`echo $$inst | sed -e 's/^.*\///'`; \
09bfbc1c 533 inst=`echo $$inst | sed '$(transform)'`.$$ext; \
608cb764
PB
534 echo " rm -f '$(DESTDIR)$(man1dir)/$$inst'"; \
535 rm -f "$(DESTDIR)$(man1dir)/$$inst"; \
09bfbc1c 536 done
53d60c04 537
53d60c04
KC
538ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
539 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
540 unique=`for i in $$list; do \
541 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
542 done | \
543 $(AWK) ' { files[$$0] = 1; } \
bd8757b3 544 END { for (i in files) print i; }'`; \
53d60c04 545 mkid -fID $$unique
608cb764 546tags: TAGS
bd8757b3 547
53d60c04
KC
548TAGS: $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
549 $(TAGS_FILES) $(LISP)
bd8757b3
APB
550 tags=; \
551 here=`pwd`; \
53d60c04
KC
552 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
553 unique=`for i in $$list; do \
554 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
555 done | \
556 $(AWK) ' { files[$$0] = 1; } \
bd8757b3 557 END { for (i in files) print i; }'`; \
608cb764
PB
558 if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
559 test -n "$$unique" || unique=$$empty_fix; \
560 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
561 $$tags $$unique; \
562 fi
53d60c04
KC
563ctags: CTAGS
564CTAGS: $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
565 $(TAGS_FILES) $(LISP)
566 tags=; \
567 here=`pwd`; \
568 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
569 unique=`for i in $$list; do \
570 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
571 done | \
572 $(AWK) ' { files[$$0] = 1; } \
573 END { for (i in files) print i; }'`; \
574 test -z "$(CTAGS_ARGS)$$tags$$unique" \
575 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
576 $$tags $$unique
bd8757b3 577
53d60c04
KC
578GTAGS:
579 here=`$(am__cd) $(top_builddir) && pwd` \
580 && cd $(top_srcdir) \
581 && gtags -i $(GTAGS_ARGS) $$here
bd8757b3
APB
582
583distclean-tags:
53d60c04 584 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
53d60c04
KC
585
586distdir: $(DISTFILES)
587 $(am__remove_distdir)
588 mkdir $(distdir)
608cb764 589 $(mkdir_p) $(distdir)/. $(distdir)/.. $(distdir)/../config $(distdir)/../gcc/doc/include
53d60c04
KC
590 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
591 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
592 list='$(DISTFILES)'; for file in $$list; do \
593 case $$file in \
594 $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
595 $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
596 esac; \
597 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
598 dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
599 if test "$$dir" != "$$file" && test "$$dir" != "."; then \
600 dir="/$$dir"; \
608cb764 601 $(mkdir_p) "$(distdir)$$dir"; \
53d60c04
KC
602 else \
603 dir=''; \
604 fi; \
605 if test -d $$d/$$file; then \
606 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
607 cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
608 fi; \
609 cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
610 else \
611 test -f $(distdir)/$$file \
612 || cp -p $$d/$$file $(distdir)/$$file \
613 || exit 1; \
614 fi; \
615 done
616 $(MAKE) $(AM_MAKEFLAGS) \
617 top_distdir="$(top_distdir)" distdir="$(distdir)" \
618 dist-info
619 -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
620 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
621 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
622 ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
623 || chmod -R a+r $(distdir)
624dist-gzip: distdir
625 $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
626 $(am__remove_distdir)
627
608cb764
PB
628dist-bzip2: distdir
629 $(AMTAR) chof - $(distdir) | bzip2 -9 -c >$(distdir).tar.bz2
630 $(am__remove_distdir)
631
632dist-tarZ: distdir
633 $(AMTAR) chof - $(distdir) | compress -c >$(distdir).tar.Z
634 $(am__remove_distdir)
635
636dist-shar: distdir
637 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
638 $(am__remove_distdir)
639
640dist-zip: distdir
641 -rm -f $(distdir).zip
642 zip -rq $(distdir).zip $(distdir)
643 $(am__remove_distdir)
644
53d60c04
KC
645dist dist-all: distdir
646 $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
647 $(am__remove_distdir)
bd8757b3
APB
648
649# This target untars the dist file and tries a VPATH configuration. Then
650# it guarantees that the distribution is self-contained by making another
651# tarfile.
652distcheck: dist
608cb764
PB
653 case '$(DIST_ARCHIVES)' in \
654 *.tar.gz*) \
655 GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf - ;;\
656 *.tar.bz2*) \
657 bunzip2 -c $(distdir).tar.bz2 | $(AMTAR) xf - ;;\
658 *.tar.Z*) \
659 uncompress -c $(distdir).tar.Z | $(AMTAR) xf - ;;\
660 *.shar.gz*) \
661 GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
662 *.zip*) \
663 unzip $(distdir).zip ;;\
664 esac
53d60c04
KC
665 chmod -R a-w $(distdir); chmod a+w $(distdir)
666 mkdir $(distdir)/_build
667 mkdir $(distdir)/_inst
668 chmod a-w $(distdir)
669 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
670 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
671 && cd $(distdir)/_build \
672 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
673 $(DISTCHECK_CONFIGURE_FLAGS) \
bd8757b3
APB
674 && $(MAKE) $(AM_MAKEFLAGS) \
675 && $(MAKE) $(AM_MAKEFLAGS) dvi \
676 && $(MAKE) $(AM_MAKEFLAGS) check \
677 && $(MAKE) $(AM_MAKEFLAGS) install \
678 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
53d60c04
KC
679 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
680 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
681 distuninstallcheck \
682 && chmod -R a-w "$$dc_install_base" \
683 && ({ \
608cb764 684 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
53d60c04
KC
685 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
686 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
687 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
688 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
689 } || { rm -rf "$$dc_destdir"; exit 1; }) \
690 && rm -rf "$$dc_destdir" \
608cb764
PB
691 && $(MAKE) $(AM_MAKEFLAGS) dist \
692 && rm -rf $(DIST_ARCHIVES) \
53d60c04
KC
693 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
694 $(am__remove_distdir)
608cb764
PB
695 @(echo "$(distdir) archives ready for distribution: "; \
696 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
697 sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
53d60c04
KC
698distuninstallcheck:
699 @cd $(distuninstallcheck_dir) \
700 && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
701 || { echo "ERROR: files left after uninstall:" ; \
702 if test -n "$(DESTDIR)"; then \
703 echo " (check DESTDIR support)"; \
704 fi ; \
705 $(distuninstallcheck_listfiles) ; \
706 exit 1; } >&2
707distcleancheck: distclean
708 @if test '$(srcdir)' = . ; then \
709 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
710 exit 1 ; \
711 fi
712 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
713 || { echo "ERROR: files left in build directory after distclean:" ; \
714 $(distcleancheck_listfiles) ; \
715 exit 1; } >&2
bd8757b3
APB
716check-am: all-am
717check: check-am
040e098a 718all-am: Makefile $(INFO_DEPS) $(PROGRAMS) $(MANS) config.h all-local
53d60c04 719installdirs:
608cb764
PB
720 for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(infodir)" "$(DESTDIR)$(man1dir)"; do \
721 test -z "$$dir" || $(mkdir_p) "$$dir"; \
722 done
53d60c04 723install: install-am
bd8757b3 724install-exec: install-exec-am
bd8757b3 725install-data: install-data-am
53d60c04 726uninstall: uninstall-am
bd8757b3
APB
727
728install-am: all-am
729 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
bd8757b3 730
53d60c04
KC
731installcheck: installcheck-am
732install-strip:
733 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
ce7dcf78 734 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
53d60c04
KC
735 `test -z '$(STRIP)' || \
736 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
bd8757b3
APB
737mostlyclean-generic:
738
739clean-generic:
040e098a 740 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
bd8757b3
APB
741
742distclean-generic:
ce7dcf78 743 -rm -f $(CONFIG_CLEAN_FILES)
bd8757b3
APB
744
745maintainer-clean-generic:
53d60c04
KC
746 @echo "This command is intended for maintainers to use"
747 @echo "it deletes files that may require special tools to rebuild."
040e098a 748 -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
53d60c04 749clean: clean-am
bd8757b3 750
53d60c04 751clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
bd8757b3 752
53d60c04
KC
753distclean: distclean-am
754 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
ce7dcf78 755 -rm -f Makefile
608cb764
PB
756distclean-am: clean-am distclean-compile distclean-generic \
757 distclean-hdr distclean-tags
bd8757b3 758
53d60c04 759dvi: dvi-am
bd8757b3 760
53d60c04 761dvi-am: $(DVIS)
bd8757b3 762
608cb764
PB
763html: html-am
764
765html-am: $(HTMLS)
766
53d60c04 767info: info-am
bd8757b3 768
53d60c04
KC
769info-am: $(INFO_DEPS)
770
771install-data-am: install-info-am install-man
772
773install-exec-am: install-binPROGRAMS
774
775install-info: install-info-am
776
777install-info-am: $(INFO_DEPS)
778 @$(NORMAL_INSTALL)
608cb764
PB
779 test -z "$(infodir)" || $(mkdir_p) "$(DESTDIR)$(infodir)"
780 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
781 list='$(INFO_DEPS)'; \
53d60c04 782 for file in $$list; do \
608cb764
PB
783 case $$file in \
784 $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
785 esac; \
53d60c04
KC
786 if test -f $$file; then d=.; else d=$(srcdir); fi; \
787 file_i=`echo "$$file" | sed 's|\.info$$||;s|$$|.i|'`; \
788 for ifile in $$d/$$file $$d/$$file-[0-9] $$d/$$file-[0-9][0-9] \
789 $$d/$$file_i[0-9] $$d/$$file_i[0-9][0-9] ; do \
790 if test -f $$ifile; then \
791 relfile=`echo "$$ifile" | sed 's|^.*/||'`; \
608cb764
PB
792 echo " $(INSTALL_DATA) '$$ifile' '$(DESTDIR)$(infodir)/$$relfile'"; \
793 $(INSTALL_DATA) "$$ifile" "$(DESTDIR)$(infodir)/$$relfile"; \
53d60c04
KC
794 else : ; fi; \
795 done; \
796 done
797 @$(POST_INSTALL)
798 @if (install-info --version && \
ce7dcf78 799 install-info --version 2>&1 | sed 1q | grep -i -v debian) >/dev/null 2>&1; then \
53d60c04
KC
800 list='$(INFO_DEPS)'; \
801 for file in $$list; do \
802 relfile=`echo "$$file" | sed 's|^.*/||'`; \
608cb764
PB
803 echo " install-info --info-dir='$(DESTDIR)$(infodir)' '$(DESTDIR)$(infodir)/$$relfile'";\
804 install-info --info-dir="$(DESTDIR)$(infodir)" "$(DESTDIR)$(infodir)/$$relfile" || :;\
53d60c04
KC
805 done; \
806 else : ; fi
807install-man: install-man1
808
809installcheck-am:
bd8757b3
APB
810
811maintainer-clean: maintainer-clean-am
53d60c04
KC
812 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
813 -rm -rf $(top_srcdir)/autom4te.cache
ce7dcf78 814 -rm -f Makefile
53d60c04
KC
815maintainer-clean-am: distclean-am maintainer-clean-aminfo \
816 maintainer-clean-generic
817
818mostlyclean: mostlyclean-am
819
820mostlyclean-am: mostlyclean-aminfo mostlyclean-compile \
821 mostlyclean-generic
822
823pdf: pdf-am
824
825pdf-am: $(PDFS)
826
827ps: ps-am
828
829ps-am: $(PSS)
830
831uninstall-am: uninstall-binPROGRAMS uninstall-info-am uninstall-man
832
833uninstall-man: uninstall-man1
834
608cb764
PB
835.PHONY: CTAGS GTAGS all all-am all-local am--refresh check check-am \
836 clean clean-binPROGRAMS clean-generic ctags dist dist-all \
837 dist-bzip2 dist-gzip dist-info dist-shar dist-tarZ dist-zip \
838 distcheck distclean distclean-compile distclean-generic \
839 distclean-hdr distclean-tags distcleancheck distdir \
840 distuninstallcheck dvi dvi-am html html-am info info-am \
841 install install-am install-binPROGRAMS install-data \
842 install-data-am install-exec install-exec-am install-info \
843 install-info-am install-man install-man1 install-strip \
844 installcheck installcheck-am installdirs maintainer-clean \
040e098a
KC
845 maintainer-clean-aminfo maintainer-clean-generic mostlyclean \
846 mostlyclean-aminfo mostlyclean-compile mostlyclean-generic pdf \
847 pdf-am ps ps-am tags uninstall uninstall-am \
848 uninstall-binPROGRAMS uninstall-info-am uninstall-man \
849 uninstall-man1
bd8757b3 850
c7afc985 851
bd4e9266 852.pod.1:
c7afc985
KC
853 -($(POD2MAN) --section=1 $< > $(@).T$$$$ && \
854 mv -f $(@).T$$$$ $@) || \
855 (rm -f $(@).T$$$$ && exit 1)
856
857.INTERMEDIATE: jar.pod grepjar.pod
858
859jar.pod: $(srcdir)/fastjar.texi
860 -$(TEXI2POD) -D jar $< > $@
861
862grepjar.pod: $(srcdir)/fastjar.texi
863 -$(TEXI2POD) -D grepjar $< > $@
040e098a
KC
864
865all-local: $(STAMP_GENINSRC)
866
867stamp-geninsrc: jar.1 grepjar.1 fastjar.info
868 -cp -p $(top_builddir)/jar.1 $(srcdir)/jar.1
869 -cp -p $(top_builddir)/grepjar.1 $(srcdir)/grepjar.1
870 -cp -p $(top_builddir)/fastjar.info $(srcdir)/fastjar.info
871 touch $@
bd8757b3
APB
872# Tell versions [3.59,3.63) of GNU make to not export all variables.
873# Otherwise a system limit (for SysV at least) may be exceeded.
874.NOEXPORT:
This page took 0.379117 seconds and 5 git commands to generate.